/*!
  \file
  \brief 書き込み進度の表示

  \author Satofumi KAMIMURA

  $Id: ProgressWidget.cpp 1089 2009-06-27 13:58:55Z satofumi $
*/

#include "ProgressWidget.h"


struct ProgressWidget::pImpl
{
  ProgressWidget* widget_;


  pImpl(ProgressWidget* widget) : widget_(widget)
  {
  }


  void initializeForm(void)
  {
    // !!!
  }
};


ProgressWidget::ProgressWidget(QWidget* parent)
  : QWidget(parent), pimpl(new pImpl(this))
{
  setupUi(this);
  pimpl->initializeForm();
}


ProgressWidget::~ProgressWidget(void)
{
}
